---
layout: mockup
title: "Phone - Dialpad"
theme: Adwaita/Adwaita.css
permalink: phone/dialpad
wallpaper: triangles
---

<!-- css -->

<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/phone.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar" title="Phone">
		<div class="view-switcher hide-on-mobile">
			<a href="{{ site.baseurl}}/phone/calls"><div class="icon s16">{%- include symbolic/actions/document-open-recent-symbolic.svg -%}</div><span>Recent</span></a>
			<a href="{{ site.baseurl}}/phone/contacts"><div class="icon s16">{%- include symbolic/apps/system-users-symbolic.svg -%}</div><span>Contacts</span></a>
			<a class="active"><div class="icon s16">{%- include symbolic/devices/input-dialpad-symbolic.svg -%}</div><span><b>Dialpad</b></span></a>
		</div>
		<div class="float-right" style="margin-top: -46px;">{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content with-toolbar">
		<div class="view text-center">
			<div class="row ">
				<h1 class="entry" id="phoneDialPadNumber">&nbsp;</h1>
			</div>
			<div class="row">
				<ul class="dialpad">
					<li class="button" value="1" onclick="$('#phoneDialPadNumber').append('1');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>1</h2></li>
					<li class="button" value="2" onclick="$('#phoneDialPadNumber').append('2');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>2</h2><div class="small-label dim-label">ABC</div></li>
					<li class="button" value="3" onclick="$('#phoneDialPadNumber').append('3');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>3</h2><div class="small-label dim-label">DEF</div></li>
					<li class="button" value="4" onclick="$('#phoneDialPadNumber').append('4');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>4</h2><div class="small-label dim-label">GHI</div></li>
					<li class="button" value="5" onclick="$('#phoneDialPadNumber').append('5');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>5</h2><div class="small-label dim-label">JKL</div></li>
					<li class="button" value="6" onclick="$('#phoneDialPadNumber').append('6');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>6</h2><div class="small-label dim-label">MNO</div></li>
					<li class="button" value="7" onclick="$('#phoneDialPadNumber').append('7');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>7</h2><div class="small-label dim-label">PQRS</div></li>
					<li class="button" value="8" onclick="$('#phoneDialPadNumber').append('8');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>8</h2><div class="small-label dim-label">TUV</div></li>
					<li class="button" value="9" onclick="$('#phoneDialPadNumber').append('9');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>9</h2><div class="small-label dim-label">WXYZ</div></li>
					<li class="button" value="*" onclick="$('#phoneDialPadNumber').append('*');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>*</h2></li>
					<li class="button" value="0" onclick="$('#phoneDialPadNumber').append('0');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>0</h2><div class="small-label dim-label">+</div></li>
					<li class="button" value="#" onclick="$('#phoneDialPadNumber').append('#');$('.dialpad-spacer').removeClass('hidden');$('#phoneDialPadNumberClear').removeClass('hidden');"><h2>#</h2></li>
					<li class="dialpad-spacer hidden"></li>
					<li class="button suggested-action"><div class="icon s32">{%- include symbolic/actions/call-start-symbolic.svg -%}</div></li>
					<li class="button hidden" id="phoneDialPadNumberClear" onclick="$('#phoneDialPadNumber').text('&nbsp;');$('.dialpad-spacer').addClass('hidden');$(this).addClass('hidden');"><div class="icon s32">{%- include symbolic/actions/edit-clear-symbolic.svg -%}</div></li>
				</ul>
			</div>
		</div>
	</div>
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a href="{{ site.baseurl}}/phone/calls"><div class="icon s16">{%- include symbolic/actions/document-open-recent-symbolic.svg -%}</div><span>Recent</span></a>
			<a href="{{ site.baseurl}}/phone/contacts"><div class="icon s16">{%- include symbolic/apps/system-users-symbolic.svg -%}</div><span>Contacts</span></a>
			<a class="active"><div class="icon s16">{%- include symbolic/devices/input-dialpad-symbolic.svg -%}</div><span><b>Dialpad</b></span></a>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
function dialNumber(number) {
    var targ = number.target || number.srcElement;
   $("#phoneDialPadNumber").value += targ.textContent || targ.innerText;
}
</script>